<?php
/*
	Plugin Name: Replace Anchor Target
	Plugin URI: http://bit51.com/software/replace-anchor-target/
	Description: Replaces the <em>target="_blank"</em> attribute applied by the built-in Tinymce editor with <em>class="target_blank"</em>. This allows for easier XHTML strict compliance.
	Version: 3.0.2
	Domain Path: /languages
	Author: Bit51.com
	Author URI: http://bit51.com
	License: GPLv2
	Copyright 2012  Bit51.com  (email : info@bit51.com)
*/

//define some paths right in the beginning
define('RAT_URL', plugin_dir_url(__FILE__));
define('RAT_PATH', plugin_dir_path(__FILE__));

//load the text domain
load_plugin_textdomain('replace_anchor_target', false, dirname(plugin_basename( __FILE__ )) . '/languages');

//Require common Bit51 library
require_once(plugin_dir_path(__FILE__) . 'lib/bit51/bit51.php');

if (!class_exists('bit51_rat')) {

	class bit51_rat extends Bit51 {
	
		var $pluginversion 	= '3.0'; //current plugin version
	
		//important plugin information
		var $hook 				= 'replace_anchor_target';
		var $pluginpath			= RAT_PATH;
		var $pluginbase			= 'replace-anchor-target/replace-anchor-target.php';
		var $pluginurl			= RAT_URL;
		var $pluginname			= 'Replace Anchor Target';
		var $homepage			= 'http://bit51.com/software/replace-anchor-target/';
		var $supportpage 		= 'http://forums.bit51.com/topic/replace-anchor-target/';
		var $wppage 			= 'http://wordpress.org/extend/plugins/replace-anchor-target/';
		var $accesslvl			= 'manage_options';
		var $paypalcode			= 'QD87YEWSUYL7E';
		var $plugindata 		= 'bit51_rat_data';
		var $primarysettings	= 'bit51_rat';
		var $settings			= array(
			'bit51_rat_options' => array(
				'bit51_rat' => array(
					'callback' => 'rat_val_options',
					'enabled' => '1'
				)
			)
		);

		function __construct() {
			
			$options = get_option('bit51_rat');
			
			//execute the filter if not in the backend and it is enabled in the options
			if(!is_admin() && $options['enabled'] == 1){
				require_once($this->pluginpath . 'inc/filter.php');
				new rat_filter();
			}
		}	
	}
}

//create plugin object
new bit51_rat();

//require admin page
require_once(plugin_dir_path(__FILE__) . 'inc/admin.php');

//require setup information
require_once(plugin_dir_path(__FILE__) . 'inc/setup.php');
register_activation_hook( __FILE__, array('rat_setup', 'on_activate'));
register_deactivation_hook( __FILE__, array('rat_setup', 'on_deactivate'));
register_uninstall_hook( __FILE__, array('rat_setup', 'on_uninstall'));
